%define major   2
%define libname %mklibname markdown %{major}
%define devname %mklibname markdown -d

Name:           discount
Version:        2.2.7d
Release:        %mkrel 2
Summary:        A command-line utility for converting Markdown files into HTML
Group:          Text tools
License:        BSD
URL:            https://www.pell.portland.or.us/~orc/Code/discount
Source0:        https://github.com/Orc/discount/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         discount-2.2.4-ldconfig.patch
Patch1:         discount-2.2.7c-C99-fix.patch

Provides:       markdown = %{version}-%{release}

%description
Discount is an implementation of John Gruber's Markdown language in C.
It includes all of the original Markdown features, along with a few
extensions, and passes the Markdown test suite.

%files
%{_bindir}/markdown
%{_bindir}/%{name}-makepage
%{_bindir}/%{name}-mkd2html
%{_bindir}/%{name}-theme
%{_mandir}/man1/markdown.1*
%{_mandir}/man7/markdown.7*
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man7/mkd-*.7*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A fast implementation of the Markdown language in C
Group:          System/Libraries

%description -n %{libname}
libmarkdown is the library portion of Discount, a fast Markdown language
implementation, written in C.

%files -n       %{libname}
%doc README COPYRIGHT CREDITS
%{_libdir}/libmarkdown.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for the libmarkdown library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       markdown-devel = %{version}-%{release}
Provides:       libmarkdown-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and developer-oriented man pages for
libmarkdown.

%files -n       %{devname}
%{_libdir}/libmarkdown.so
%{_libdir}/pkgconfig/libmarkdown.pc
%{_includedir}/mkdio.h
%{_mandir}/man3/markdown.3*
%{_mandir}/man3/mkd*.3*

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%set_build_flags
# Not using %%configure since it is not an autotools script
./configure.sh \
    --shared \
    --pkg-config \
    --prefix=%{_prefix} \
    --execdir=%{_bindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-all-features \
    --with-fenced-code
%make_build

%install
%make_install install.everything

install -D -m644 libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/libmarkdown.pc

# Rename sample programs (names are too generic) and matching man1 pages
mv %{buildroot}%{_bindir}/makepage %{buildroot}%{_bindir}/%{name}-makepage
mv %{buildroot}%{_bindir}/mkd2html %{buildroot}%{_bindir}/%{name}-mkd2html
mv %{buildroot}%{_bindir}/theme %{buildroot}%{_bindir}/%{name}-theme
mv %{buildroot}%{_mandir}/man1/makepage.1 \
   %{buildroot}%{_mandir}/man1/%{name}-makepage.1
mv %{buildroot}%{_mandir}/man1/mkd2html.1 \
   %{buildroot}%{_mandir}/man1/%{name}-mkd2html.1
mv %{buildroot}%{_mandir}/man1/theme.1 \
   %{buildroot}%{_mandir}/man1/%{name}-theme.1

%check
%make_build test


%changelog
* Tue May 21 2024 daviddavid <daviddavid> 2.2.7d-2.mga10
+ Revision: 2065436
- add gentoo patch to fix build with GCC 14

* Mon Aug 28 2023 kekepower <kekepower> 2.2.7d-1.mga10
+ Revision: 1980614
- Update to version 2.2.7d

* Tue Feb 21 2023 kekepower <kekepower> 2.2.7c-1.mga9
+ Revision: 1944610
- Update to version 2.2.7c

* Thu Mar 31 2022 kekepower <kekepower> 2.2.7b-1.mga9
+ Revision: 1837429
- Update to version 2.2.7b
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Aug 25 2020 kekepower <kekepower> 2.2.7-1.mga8
+ Revision: 1618827
- Update to version 2.2.7

* Sat Feb 15 2020 umeabot <umeabot> 2.2.6-2.mga8
+ Revision: 1526269
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%setup_compile_flags

* Fri May 10 2019 kekepower <kekepower> 2.2.6-1.mga7
+ Revision: 1397018
- Update to version 2.2.6

* Thu Jan 31 2019 kekepower <kekepower> 2.2.5-1.mga7
+ Revision: 1362067
- Update to version 2.2.5
- BR libmarkdown

* Sat Nov 03 2018 daviddavid <daviddavid> 2.2.4-1.mga7
+ Revision: 1328005
- new version: 2.2.4
- rediff ldconfig patch

* Sun Sep 23 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1297452
- Mageia 7 Mass Rebuild

* Sat Jan 21 2017 akien <akien> 2.2.2-1.mga6
+ Revision: 1082561
- Version 2.2.2

* Sat Oct 08 2016 akien <akien> 2.2.1-1.mga6
+ Revision: 1059615
- Version 2.2.1

* Thu Feb 11 2016 umeabot <umeabot> 2.1.8a-2.mga6
+ Revision: 953786
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 akien <akien> 2.1.8a-1.mga6
+ Revision: 840366
- Version 2.1.8a

* Wed Oct 15 2014 umeabot <umeabot> 2.1.7-4.mga5
+ Revision: 740810
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.7-3.mga5
+ Revision: 726122
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.7-2.mga5
+ Revision: 678754
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 akien <akien> 2.1.7-1.mga5
+ Revision: 676881
- Adapt spec file to Mageia
- import discount from Fedora


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild


* Thu Jan 30 2014 Craig Barnes <cbgnome@gmail.com> - 2.1.7-2
- Add "--with-fenced-code" to configuration flags

* Tue Dec 03 2013 Craig Barnes <cbgnome@gmail.com> - 2.1.7-1
- Update to latest release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 03 2013 Craig Barnes <cbgnome@gmail.com> - 2.1.6-1
- Update to latest release

* Sun Feb 10 2013 Craig Barnes <cbgnome@gmail.com> - 2.1.5a-1
- Update to latest release

* Wed Jul 25 2012 Craig Barnes <cbgnome@gmail.com> - 2.1.3-6
- Add optflags to CFLAGS instead of appending to CC

* Wed Jul 04 2012 Craig Barnes <cbgnome@gmail.com> - 2.1.3-5
- Remove spurious autoconf dependency
- Remove unnecessary manual buildroot cleaning
- Use gcc as CC instead of "cc"
- Fix typo in comment

* Thu Mar 08 2012 Craig Barnes <cr@igbarn.es> - 2.1.3-4
- Pass optflags to configure script

* Tue Jan 24 2012 Craig Barnes <cr@igbarn.es> - 2.1.3-3
- Remove duplicate docs from base package (already included in libmarkdown)
- Add --enable-all-features flag to "turn on all stable, optional features"
- Specify single include file (mkdio.h) instead of using glob matching
- Make man3 and man7 file matching more accurate (specify the "mkd" prefix)

* Tue Jan 24 2012 Craig Barnes <cr@igbarn.es> - 2.1.3-2
- Change renamed "discount" binary back to the upstream default "markdown"
  (the conflict with "python-markdown" was already resolved in rawhide)
- Change renamed "discount.1" man page back to "markdown.1"
- Remove some now unnecessary comments

* Sun Jan 22 2012 Craig Barnes <cr@igbarn.es> - 2.1.3-1
- Rename "markdown" binary to "discount" (clashed with python-markdown)
- Prefix all other binaries with "discount-" (names were too generic)
- Rename man1 pages to match their renamed binaries
- Amend patterns in files section to match renamed binaries and man1 pages
- Remove unnecessary, duplicate paragraph from libmarkdown-devel description
- Remove unnecessary "defattr" macros (default behaviour since RPM 4.4)
- Minor formatting clean-ups
- Update to latest upstream release
- Re-generate patch to reflect upstream changes

* Mon Dec 12 2011 Craig Barnes <cr@igbarn.es> - 2.1.2-4
- Split configure script flags across multiple lines for readability
- Add previously missing "--execdir" flag to configure script
- Use make install.everything target instead of specifying 3 separate targets

* Sun Oct 16 2011 Craig Barnes <cr@igbarn.es> - 2.1.2-3
- Get sources from author's website instead of GitHub

* Sat Oct 01 2011 Craig Barnes <cr@igbarn.es> - 2.1.2-2
- Remove unnecessary post/postun sections for base package
- Make base package explicitly depend on libmarkdown

* Wed Sep 28 2011 Craig Barnes <cr@igbarn.es> - 2.1.2-1
- New upstream version
- Add sample programs to the installation

* Mon Sep 26 2011 Craig Barnes <cr@igbarn.es> - 2.1.1.3-5
- Move man3 pages from libmarkdown to libmarkdown-devel
- Add license document and other basic documentation to libmarkdown

* Sun Sep 25 2011 Craig Barnes <cr@igbarn.es> - 2.1.1.3-4
- Make libmarkdown-devel explicitly depend on libmarkdown
- Remove unnecessary clean section
- Make pattern matching in file selections more specific
- Move unversioned shared library to libmarkdown-devel package
- Add post and postun sections for running ldconfig
- Add patch to prevent bundled script from running ldconfig itself

* Sun Sep 25 2011 Craig Barnes <cr@igbarn.es> - 2.1.1.3-3
- Use seperate "libmarkdown" package for shared library
- Move development headers from discount-devel to libmarkdown-devel
- Add clean directive
- Add check directive for running the bundled test suite

* Thu Sep 22 2011 Craig Barnes <cr@igbarn.es> - 2.1.1.3-2
- Packaged man pages
- Split development files into separate -devel package
- Fixed various rpmlint warnings

* Thu Sep 22 2011 Craig Barnes <cr@igbarn.es> - 2.1.1.3-1
- Initial package.

